import { ColumnAlignment, IColumnConfig } from '../interfaces';
import { CurrencyCell } from './CurrencyCell';
import { DateCell } from './DateTimeCell';
import { DecimalCell } from './DecimalCell';
import { FieldCell } from './FieldCell';
import { S3FileCell } from './S3FileCell';
import { StatusCell } from './StatusCell';
import { TextCell } from './TextCell';
export declare enum CellType {
    Actions = "Actions",
    Boolean = "Boolean",
    Currency = "Currency",
    Date = "Date",
    DateTime = "DateTime",
    Decimal = "Decimal",
    Field = "Field",
    Link = "Link",
    Number = "Number",
    Status = "Status",
    Text = "Text",
    Object = "Object",
    Tooltip = "Tooltip",
    S3FileCell = "S3FileCell"
}
export declare const getCellComponent: <T>(column: IColumnConfig<T>) => typeof CurrencyCell | typeof DateCell | typeof DecimalCell | typeof StatusCell | typeof S3FileCell | typeof FieldCell;
export declare const getDefaultFormatter: <T>(column: IColumnConfig<T>) => Function | undefined;
export declare const getDefaultAlignment: <T>(column: IColumnConfig<T>) => ColumnAlignment;
export { CurrencyCell, TextCell, };
